# Greek Exposure `GET` `https://api.unusualwhales.com/api/stock/{ticker}/greek-exposure` Greek Exposure is the assumed greek exposure that market makers are exposed to. The most popular greek exposure is gamma exposure (GEX). Investors and large funds lower risk and protect their money by selling calls and buying puts. Market makers provide the liquidity to facilitate these trades. GEX assumes that market makers are part of every transaction and that the bulk of their transactions are buying calls and selling puts to investors hedging their portfolios. If a market maker has one contract open with a gamma value of 0.05, then that market maker is exposed to 0.05 * [100 shares] of gamma. The total market maker exposure is calculated by summing up the exposure values of all open contracts determined by the daily open interest. Market makers profit from the bid-ask spreads and as such, they constantly gamma hedge (they buy and sell shares to keep their positions delta neutral). Long call positions are positive gamma - as the stock price increases and delta rises (approaches 1), market makers hedge by selling shares, and they buy shares if the stock price decreases and delta falls. Short put positions are negative gamma - as the stock price increases and delta falls (approaches -1), market makers hedge by buying shares, and they sell shares if the stock price decreases and delta rises. As such, in the event of large positive gamma, volatility is suppressed as market makers will hedge by buying as the stock price decreases and selling as the stock price increases. And in the event of large negative gamma, volatility is amplified as market makers will hedge by buying as the stock price increases and selling as the stock price decreases. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | | `timeframe` | Time frame | No | The timeframe of the data to return. Can be one of the following formats: - YTD - 1D, 2D, etc. - 1W, 2W, etc. - 1M, 2M, etc. - 1Y, 2Y, etc. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `call_charm` | Gex Call Charm | The sum of the charm values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | | `call_delta` | Gex Call Delta | The sum of the delta values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | | `call_gamma` | Gex Call Gamma | The sum of the gamma values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | | `call_vanna` | Gex Call Vanna | The sum of the vanna values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | | `date` | Market General Trading day | A trading date in ISO format. | | `put_charm` | Gex Put Charm | The sum of the charm values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | | `put_delta` | Gex Put Delta | The sum of the delta values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | | `put_gamma` | Gex Put Gamma | The sum of the gamma values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | | `put_vanna` | Gex Put Vanna | The sum of the vanna values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/greek-exposure" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/greek-exposure", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "call_charm": "102382359.5786", "call_delta": "227549667.4651", "call_gamma": "9356683.4241", "call_vanna": "152099632406.9564", "date": "2023-09-08", "put_charm": "-943028472.4815", "put_delta": "-191893077.7193", "put_gamma": "-12337386.0524", "put_vanna": "488921784213.1121" }, { "call_charm": "81465130.0002", "call_delta": "210202465.3421", "call_gamma": "8456599.8505", "call_vanna": "161231587973.6811", "date": "2023-09-07", "put_charm": "-1054548432.6111", "put_delta": "-210881557.3003", "put_gamma": "-12703877.0243", "put_vanna": "488921784213.1121" } ] } ```